org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.SplitShard

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionSpecificAdminRequest
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest
        - - org.apache.solr.client.solrj.request.CollectionAdminRequest.SplitShard

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest

    public static class CollectionAdminRequest.SplitShard
    extends CollectionAdminRequest.CollectionShardAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.CollectionShardAdminRequest, CollectionAdminRequest.CollectionSpecificAdminRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.List, CollectionAdminRequest.Migrate, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected String` `asyncId`
`protected String` `ranges`
`protected String` `splitKey`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest

`shardName`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionSpecificAdminRequest

`collection`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Constructor Summary

Constructors
Constructor and Description
`CollectionAdminRequest.SplitShard()`

### Method Summary

Methods
`String` `getAsyncId()`
`SolrParams` `getParams()`
`Properties` `getProperties()`
`String` `getRanges()`
`String` `getSplitKey()`
`void` `setAsyncId(String asyncId)`
`void` `setProperties(Properties properties)`
`void` `setRanges(String ranges)`
`void` `setSplitKey(String splitKey)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest

`getCommonParams, getShardName, setShardName`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionSpecificAdminRequest

`setCollectionName`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, getContentStreams, process, setAction`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ranges

    protected String ranges

#### splitKey

    protected String splitKey

#### asyncId

    protected String asyncId

### Constructor Detail

#### CollectionAdminRequest.SplitShard

    public CollectionAdminRequest.SplitShard()

### Method Detail

#### setRanges

    public void setRanges(String ranges)

#### getRanges

    public String getRanges()

#### setSplitKey

    public void setSplitKey(String splitKey)

#### getSplitKey

    public String getSplitKey()

#### getProperties

    public Properties getProperties()

#### setProperties

    public void setProperties(Properties properties)

#### setAsyncId

    public void setAsyncId(String asyncId)

#### getAsyncId

    public String getAsyncId()

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest.CollectionShardAdminRequest`